%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

%define debug_package %{nil}

Summary:        Runner has process management, including an inetd replacement for Twisted

Name:           python-twisted-runner
Version:        15.2.1
Release:	1
Source0:        http://twistedmatrix.com/Releases/Runner/15.2/TwistedRunner-%{version}.tar.bz2
Patch0:		TwistedRunner-15.0.0-tirpc.patch
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedRunner
BuildRequires:  python-devel
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  python-twisted-core
Requires:       python-twisted-core

%description
Runner has process management, including an inetd replacement for Twisted.

%prep
%setup -q -n TwistedRunner-%{version}
%apply_patches

%build
export CFLAGS="-ltirpc"
python setup.py build

%install
python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%dir %{py_platsitedir}/twisted/runner
%{py_platsitedir}/twisted/runner/*
%{py_platsitedir}/twisted/plugins/*
%{py_platsitedir}/*.egg-info




%changelog

* Wed Jul 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 15.2.1-1
- (2c6fa6e) Updated to 15.2.1


